Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface T3StartupDef

Deprecated. register a class with main() method or use application lifecycle listeners.

    public interface T3StartupDef

T3StartupDef defines the interface for user-written startup objects.

A class that implements this interface and is registered in WebLogic's `config.xml` file will be automatically launched when the WebLogic Server starts up, and its startup method will be called. For more information on registering a startup class, check the Administrators' guide document, "Starting and Stopping WebLogic Servers."

Any class that implements this interface must have a public default constructor. For example, class "foo" must have a contstructor like:

         public foo() {
         }

Method Summary
`void` | `setServices(T3ServicesDef services)` Deprecated.
`String` | `startup(String name, Hashtable ht)` Deprecated.

Method Detail

### startup

    String startup(String name,
                   Hashtable ht)
                   throws Exception

  Deprecated.

  The startup method is called by the WebLogic Server when your object is launched. Its arguments are supplied by the registration in WebLogic's `config.xml` file. The "name" argument is the virtual_name for the `startupClass` property, and the "hashtable" argument is made up of the name-value pairs supplied with the `startupArgs` property. The String returned by the startup() method is sent to the log file.

  Parameters:
    `name` - Virtual name by which the class is registered as a startupClass in the `config.xml` file
    `ht` - A Hashtable that is made up of the name-value pairs supplied from the startupArgs property
  Returns:
    String that is sent to the log file
  Throws:
    `Exception` - if there is an error

### setServices

    void setServices(T3ServicesDef services)

  Deprecated.

  Sets the services stub for the T3StartupDef object. The StartupDef can use the services reference to obtain access to services in the WebLogic Server. This method is invoked by the WebLogic Server prior to the `startup()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD